<?php
/* Template Name: CDIFS Press 2024 effects Page */

get_header('2022'); ?>


<!-- Slider
		============================================= -->
		<section id="slider" class="revslider-wrap slider-parallax clearfix">
			<div class="slider-parallax-innerX">
				<div class="tp-banner-container rev_slider_wrapper">
					<div class="tp-banner">
					
						
						<div id='banner-content'>
<!--<img style="padding: 0px 50px;" src="<?php echo get_template_directory_uri(); ?>/effects/images/how_to_get_here/title-how-to-get-here.svg">-->
<?php if ($isENG ) { ?>
<div class="tagline-div-en"><span class="tagline-en">Press</span></div>
<?php } else { ?>
<img src="<?php echo get_template_directory_uri(); ?>/effects/images/pressroom/title-press.svg" alt="新闻室" >
<?php } ?>
	<div class="lqd-promo-content"
											data-custom-animations="true"
											data-ca-options='{ "triggerHandler": "inview", "animationTarget": ".btn", "duration": 800, "startDelay": 300, "initValues": { "translateY": 70, "opacity": 0 }, "animations": { "translateY": 0, "opacity": 1 } }'
										>
										<!--	<h2 style=""
												class="text-white"
												data-split-text="true"
												data-split-options='{ "type": "chars, words" }'
												data-custom-animations="true"
												data-ca-options='{ "triggerHandler": "inview", "animationTarget": "all-childs", "duration": 800, "startDelay": 800, "delay": 70, "initValues": { "translateX": 70, "rotateY": 65, "opacity": 0 }, "animations": { "translateX": 0, "rotateY": 0, "opacity": 1 } }'
											>I am CONCIERGE Here</h2>-->
		                            </div>	
</div>

<!--<link rel="stylesheet" type="text/css" href="<?php echo get_template_directory_uri(); ?>/effects/css/theme.css">
<link rel="stylesheet" type="text/css" href="<?php echo get_template_directory_uri(); ?>/effects/css/theme-vendors.css">-->

<style>

#slider{
    background-repeat: no-repeat;
  background-image : url("<?php echo get_template_directory_uri(); ?>/effects/images/pressroom/press-bkgd.jpg");
  background-size: cover;  
        height: calc( 100vw * 530 / 1440);
         background-position-x: center;
}
    #banner-content{
        height: calc( 100vw * 530 / 1440);

        display: flex;
    flex-wrap: nowrap;
    flex-direction: row;
    justify-content: flex-start;
    align-content: center;
    background-color:transparent;
    
    padding-left: 100px;
align-items: center;
    }
    
    .lqd-promo-content h2 {
      margin: 0 -1em 0 -1em;
      font-size: 40px;
      /*font-weight: 700;*/
      font-family: "HelveticaNeue-Bold", source-han-sans-simplified-c, Arial, sans-serif;	
      line-height: 1em;
      color:white;
    }
    
    .tagline-en{
    line-height: 100px;
    padding-right:100px !important;
    }
</style>
					</div>
				</div><!-- END REVOLUTION SLIDER -->
			</div>
		</section>		

<?php while ( have_posts() ) : the_post(); ?>
		<!-- Content
		============================================= -->
		
			<?php //the_content(); ?>

<?php endwhile; ?>


    
    
    
    
<?php
$pressMax = -1;
$category_name = "";
$isENG = strcmp(get_locale() , "en_US") == 0;
$speed = array(1, 2.5, 4);

if ( $isENG ){
	$category_name = "pressroom-en";
}else{
	$category_name = "pressroom";
}

//$pressPosts = get_posts(array('category_name' => $category_name , 'numberposts' => $pressMax , 'orderby' => 'date','order' => 'DESC'));



$pressPosts = get_posts(array(
    'category_name' => $category_name , 
    'numberposts' => $pressMax ,
    
    'meta_key'          => 'press-date',
    'orderby'           => 'meta_value',
    'order'             => 'DESC'
));


if ($_GET['test'] )
{
    $test=  $_GET['test'];
}
else
{
    $test=0;
}

?>
    
    
    <section>
        <div class="select-div">
            
            
            <ul class="select">
        	    	<li>
            			<input class="select-field" value="" placeholder="按年份搜索：全部" readonly />
            			<span></span>
            
                                 <ul class="filter-list select-list" id="pf-newyear" >
                                      <li data-filter="*"><span>全部</span></li>
                                      
                                      <?php
                                            $currentyear = date("Y");
                                            $endyear = 2020;
                                            for ($x = $currentyear; $x >= $endyear + 1 ; $x--) {
                                                echo '<li data-filter=".pf-'.$x.'" class="dropdown"><span>'.$x.'</span></li>';
                                            }
                                             echo '<li style="border-radius: 0 0 5px 5px;" data-filter=".pf-'.$endyear.'" class="dropdown"><span>'.$endyear.'</span></li>';
                                            
                                        ?>
            					</ul>
									
									
        			</li>
        	</ul>						
        </div>
        
    
    </section>
   
    
    <link rel="stylesheet" type="text/css" href="<?php echo get_template_directory_uri(); ?>/effects/css/select-dropdown-style.css">
    
   <style>
   
   .select-div {
    display: flex;
    padding: 70px;
    justify-content: center;
    flex-direction: row;
    flex-wrap: nowrap;
    align-items: center;
    }
   
   .select {
        margin-bottom: 0;
    }
    
    .select-field {
    padding: 20px 30px;
    font-weight: bold;
    color: white;
    background-color: #ac9d80;
    border:none;
    border-radius: 90px;
    }
    
    .select-field::placeholder {
      color: white;
      opacity: 1; /* Firefox */
    }

    .select-field::-ms-input-placeholder { /* Edge 12 -18 */
      color: white;
    }
    
    
    .select {
        max-width: 320px;
        background: none;
    }
    
    

.select-field + span::after {
    border-color: white;
    margin-right: 35px;
    padding: 5px;
	margin-bottom: 5px;
}

.select-field + span::after {
    content: "";
    width: 10px;
    height: 10px;
    border-style: solid;
    border-width: 0 3px 3px 0;
   /* border-color: #008095 transparent transparent transparent;*/
    pointer-events: none;
    transition: 0.5s;
    transform: rotate(45deg);
}

.select-field.turn + span::after {
    border-color: white;
    margin-top: 5px;
    padding: 5px;
}

.select-field.turn + span::after {
    border-width: 0 3px 3px 0px;
 /*   border-color: transparent transparent #008095 transparent; */
    transform: rotate(-135deg);
}
    
    /*
   
   .select-field + span::after {
        border-color: white transparent transparent transparent;
        margin-right: 35px;
    }
    
    .select-field.turn + span::after {
      border-color: transparent transparent white transparent;
    }
    */
   
   .select-list li {
        color: #ddd8ce;
        padding: 12px 30px;
        background-color: #ac9d80;
    }
   
   .select-list li:not(:last-child) {
         border-bottom: none;
    }
    
    .select-list li:hover {
    background-color: #b7ac95;
    }
    
    
    .select-list {
      top: 61px; /* same as the height*/
      left: 25px;
      width: 80%;
      border: none;
      border-radius: 0 0 5px 5px;
     }
   
   .filter-list li.active, .filter-list li:hover {
        color: white;
    }
   
   section {
    background-color: #dce0e3;
    }
   
   
        .newsgallery{
           display: flex;
    flex-wrap: wrap;
    padding: 90px 100px 105px;
    flex-direction: row;
    width:100%;
        
        }
   
       .newsgallery_item {
           padding: 20px;
           margin: 10px 15px 10px 15px;
    width: 30%;
    display: flex;
    border: solid;
    border-width: 1px;
    flex-direction: column;
    flex-wrap: nowrap;
    align-items: center;
       }
       
       
       .newsgallery_title 
           {
               width:100%;
               overflow: hidden;
               background-color: transparent;
               color: black;
               
               margin: 10px 0 30px;
               font-size: x-large;
               font-weight: bold;
               line-height: 1.2;
            }
       
       
   </style>
    

<style>
    #services-items{
        background-color:#DCE0E3;
        position:relative;
    }
    .items-div{
        display: flex;
        flex-wrap: nowrap;
        padding: 90px 100px 105px;
        flex-direction: column;
    }
    .service-row{
        display: flex;
        flex-wrap: nowrap;
        flex-direction: row;
        justify-content: center;
    }
    .service-cell{
        display: flex;
        flex-wrap: nowrap;
        flex-direction: row;
    }
    
    .centerpanda{
        width:270px;
    }

</style>


	<section class="vc_row bufferspace shop-logo-list" style="background-color: #dce0e3;">
	<div class="shopcontainer">
				
					<div class="  liquid-portfolio-list-row" data-liquid-masonry="true" data-masonry-options='{ "filtersID": "#pf-newyear" }'>
				    
				    <?php 
				        $i=0; 
				        foreach( $pressPosts as $post )  :  setup_postdata($post); 
				    
				   
                    $pressyear =  substr( strval (get_field("press-date")) ,-4); ;
				    
    					?>
    					    
    						<!--<div class=" lqd-column   masonry-item pf-<?php echo get_the_date('Y');?>" postyear="<?php echo get_the_date('Y');?>" >-->
    						<div class=" lqd-column  masonry-item pf-<?php echo $pressyear;?>" postyear="<?php echo $pressyear;?>" >
    						    
    						        <?php if ( $i < 3 ) { ?>
    						        <div class="" data-lazyload="<?php echo $shop_thumb;?>">
                                    <?php } else { ?>
                                    <div class="loaderimg" data-lazyload="<?php echo $shop_thumb;?>">
                                    
    						        <?php } ?>    
                                
                                    <div class="loaderimg-base" data-lazyload="<?php echo $shop_thumb;?>" >
                                    
                                    
                                    <img src="<?php
                                            $shop_thumb =  wp_get_attachment_url( get_post_thumbnail_id($post->ID), 'medium' );
                                            
                                                //echo get_template_directory_uri()."/images/blank.png";
                                            echo $shop_thumb;
                                            ?>" data-src="<?php echo $shop_thumb;?> " alt="">
    						       
                                    </div>
    						    
    						    <div class="press-date">
    						        <!--<p><?php echo get_the_date('d.m.Y');?></p> -->
    						        <p><?php echo esc_html (  get_field("press-date") ); ?></p>
    						        
    						    </div>
    						    <div class="newsgallery_title">
    						    
    						        <?php echo get_the_title(); ?>
    						    </div>
    						
    						    <div class="detail-div">
    						        <div class="detail-btn">
                						<!--<a href="<?php echo the_permalink($post)?>" target="_blank"> -->
                						<a href="<?php echo get_field( 'detail_link' )?>" target="_blank"> 
                						   详情
            						    </a>
        						    </div>
    						    </div>
    						    
    						    </div>
    						    
    						</div>
    						
    						 <?php
					    $i++;
                        endforeach;
                    ?>
    					
					
					</div>
					
				
					
					
				</div><!-- /.container -->
			</section>		
	<style>
	
	
	.detail-div{
	    display:flex;    
	    
	}
	
	.detail-btn{
	    padding: 10px 35px;
	    border: solid 1px #b09d80;
	    border-radius:90px;
	    font-weight:bold;
	}
	
.category-list-items ul li {
	color: white;
	display: inline-block;
	font-size: 17px;
	margin-bottom: 14px;	
}

.shop-logo-list{
    position: relative;
    z-index: 5;
    /*padding-top: 50px;*/
    background-color: #dce0e3;
}


.loaderimg-base {
 
    background-image: url("<?php echo get_template_directory_uri();?>/effects/images/shopping_dining/loader2.gif");
    background-repeat: no-repeat;
    background-position-x: center;
    background-position-y: 50px;
 
    border:solid 1px #adadaa;   
}

.loaderimg {
    transition:all 1s ease;
    transition-delay: 0.5s ;
    transform: scale(0);

}

.loaderimg-base,
.loaderimg-base img,
.loaderimg,
.loaderimg img{
 border-radius:5px;
     width: 100%;
}



.floorplan-txt-en {
    font-family: "HelveticaNeue-Bold", source-han-sans-simplified-c, Arial, sans-serif;
}

	    @media (max-width: 480px)
            {
    		    .category-list-items{
    		        margin-top: 20px;
    		    }
            }

	</style>

    	
    	<script>
    	</script>
    	
    	<style>
    	    .shopcontainer{
 /*   width:80%;
    margin-left: auto;
    margin-right: auto; */
    
    width: calc(100vw - 200px);
    margin-left: auto;
    margin-right: auto; 
    
}

 .masonry-item {	
   
    width: calc( (100vw - 200px) * 380 / ( 1440 - 200 ) );
    /*height: calc( (100vw - 200px) * 240 / ( 1440 - 200 ) );*/
    height: auto;
    
    
    /*min-width: 310px;*/
    /*min-height: 220px;*/
    padding: 0 3px 10px;
    /*margin: 0 20px 70px;*/
    
    margin: 0 calc(((100vw - 0px)* 20) / 1440) 70px;
    /*position:relative!important;*/
}

.masonry-item div{
    position:relative;
}


.liquid-portfolio-list-row {
    margin-left:-10px !important;
    margin-right:-10px !important;
display :block!important;

   /*  justify-content: space-between; 
   
   column-count:3;*/


}


.press-date p{
    color:#b09d80;
    margin-top: 15px;
    font-weight: bold;
    margin-bottom: 0px;
    font-size:14px;
}




@media (max-width: 480px)
{
    .shop-logo-list {
        padding: 0px 30px 50px;
    }
    
    .shopcontainer {
        width: 100%;
    }
    
    .liquid-portfolio-list-row {
    margin-left: 0px !important;
    margin-right: 0px !important;
     }
     
     .masonry-item {
    margin: 0 0 40px;
    /* position: relative !important; */
}
    .filter-list,
    .select-field 
    {
           font-size: 16px; 
    }
}

    	</style>
    	
    	
    	    <script src="<?php echo get_template_directory_uri(); ?>/effects/pjs/P_jquery.min.js"></script>
    
    <script src = "https://code.jquery.com/ui/1.10.4/jquery-ui.js"></script> <!-- autocomplete use -->
   <script src="<?php echo get_template_directory_uri(); ?>/effects/pjs/theme-vendors.js"></script>
    <script src="<?php echo get_template_directory_uri(); ?>/effects/pjs/theme.js"></script>
    <script src="<?php echo get_template_directory_uri(); ?>/effects/pjs/liquidAjaxMailchimp.min.js"></script>
    <script src="<?php echo get_template_directory_uri(); ?>/effects/pjs/owl.carousel.min.js"></script>

    <script src="<?php echo get_template_directory_uri(); ?>/effects/pjs/select-dropdown-script.js"></script>
    
    	<script>
    	    
    	    jQuery(document).ready(function($){
  $(".dropdown").click(function(){
        setTimeout( function(){
            $(".loaderimg").css( "transform" ,"scale(1)") ;
            console.log("scale");
        }, 50); 
  });
});
    	</script>
    	
    	
<?php get_footer('2022'); ?>